
function Begin()
	DisplayTrace ("Aeropuerto Henderson - Guadalcanal Agosto 1942");
	DisplayTrace ("Mapa por Corpbob");
	QCmd( 3, 10, 11100, 7150);

	RunScript( "Bomb" , 2000);
	Suicide();
end;

function Attack1()
	if ( GetNUnitsInArea( 0, "Crossroads" ) <= 1 ) then 
	QCmd( 3, 10, 9600, 11500);
      end; 
end;

function Attack2()
	if ( GetNUnitsInArea( 0, "West_Defense" ) <= 1 ) then 
	QCmd( 3, 30, 9600, 11500);
      end; 
end;


function Bomb()
	local plane = 19;
	local x, y = GetScriptAreaParams("Henderson") ;
	Cmd(plane, 1000, 1, x, y);
	Suicide();
end;

function DiveBomb()
	local plane = 36;
	local x, y = GetScriptAreaParams("Henderson") ;
	Cmd(plane, 1000, 1, x, y);
	Suicide();
end;


function Objective1()
	if ( GetNUnitsInScriptGroup(10, 1) <= 5 ) then 
	SetIGlobalVar("temp.template00.objective.0", 1);
	ObjectiveChanged(0, 1);
	RunScript( "RevealObjective1" , 2000);
	QCmd( 3, 30, 5900, 12400);
	RunScript( "DiveBomb" , 2000);
	Suicide();
	end;
end;


function Objective2()
	if ( GetNUnitsInScriptGroup(30, 1) <= 5 ) then 
	SetIGlobalVar("temp.template00.objective.1", 1);
	ObjectiveChanged(1, 1);
      LandReinforcement(60);
	DisplayTrace ("Han desembarcado refuerzos...");
	RunScript( "RevealObjective2" , 4000);
	RunScript( "RevealObjective3" , 6000);
	RunScript( "RevealObjective4" , 8000);
	Suicide();
	end;
end;




function Artillery() 
	if ( GetNUnitsInArea( 1, "Artillery" ) <= 1 ) then 
	SetIGlobalVar( "temp.template00.objective.2", 1 ); 
	ObjectiveChanged(2, 1); 
	Suicide(); 
	end; 
end; 


function Outpost()
	if ( GetNUnitsInArea( 1, "Outpost" ) <= 1 ) then 
	SetIGlobalVar( "temp.template00.objective.3", 1 ); 
	ObjectiveChanged(3, 1); 
	Suicide(); 
	end; 
end; 

function Mission()
	if ( GetNUnitsInArea( 1, "Mission" ) <= 1 ) then 
	SetIGlobalVar( "temp.template00.objective.4", 1 ); 
	ObjectiveChanged(4, 1); 
	Suicide(); 
	end; 
end; 



function ToWin()
	if ( (GetIGlobalVar("temp.template00.objective.0", 0) * GetIGlobalVar("temp.template00.objective.1", 0) * GetIGlobalVar("temp.template00.objective.2", 0) *
	  GetIGlobalVar("temp.template00.objective.3", 0) * GetIGlobalVar("temp.template00.objective.4", 0)) == 1) then
		Win(0);
		Suicide();
	end;
end;

function TobeDefeated()
	if ( GetNUnitsInScriptGroup(1000, 0) <= 0) then
		Loose();
		Suicide();
	end;
end;



function RevealObjective0() 
	ObjectiveChanged(0, 0); 
	Suicide(); 
end; 

function RevealObjective1() 
	ObjectiveChanged(1, 0); 
	Suicide(); 
end; 


function RevealObjective2() 
	ObjectiveChanged(2, 0); 
	Suicide(); 
end; 

function RevealObjective3() 
	ObjectiveChanged(3, 0); 
	Suicide(); 
end; 

function RevealObjective4() 
	ObjectiveChanged(4, 0); 
	Suicide(); 
end; 



function Init()

	RunScript( "Begin" , 2000);
	RunScript( "ToWin" , 2000);
	RunScript( "TobeDefeated" , 2000);

	RunScript( "Attack1" , 2000);
	RunScript( "Attack2" , 2000);


	RunScript( "Objective1" , 2000);
	RunScript( "Objective2" , 2000);
	RunScript( "Artillery" , 2000);
	RunScript( "Outpost" , 2000);
	RunScript( "Mission" , 2000);

	RunScript( "RevealObjective0" , 2000);

end;
